com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemLocator

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemLocator

All Implemented Interfaces:
  NativeMapped, IUnknown

Enclosing interface:
  Wbemcli

    public static class Wbemcli.IWbemLocator
    extends Unknown

Used to obtain the initial namespace pointer to the IWbemServices interface for WMI on a specific host computer.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

Fields
`static Guid.CLSID` `CLSID_WbemLocator`
`static Guid.GUID` `IID_IWbemLocator`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`IWbemLocator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Wbemcli.IWbemServices` `ConnectServer(java.lang.String strNetworkResource, java.lang.String strUser, java.lang.String strPassword, java.lang.String strLocale, int lSecurityFlags, java.lang.String strAuthority, Wbemcli.IWbemContext pCtx)`
`WinNT.HRESULT` `ConnectServer(WTypes.BSTR strNetworkResource, WTypes.BSTR strUser, WTypes.BSTR strPassword, WTypes.BSTR strLocale, int lSecurityFlags, WTypes.BSTR strAuthority, Wbemcli.IWbemContext pCtx, PointerByReference ppNamespace)`
`static Wbemcli.IWbemLocator` `create()`

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLSID_WbemLocator

    public static final Guid.CLSID CLSID_WbemLocator

#### IID_IWbemLocator

    public static final Guid.GUID IID_IWbemLocator

### Constructor Detail

#### IWbemLocator

    public IWbemLocator()

### Method Detail

#### create

    public static Wbemcli.IWbemLocator create()

#### ConnectServer

    public WinNT.HRESULT ConnectServer(WTypes.BSTR strNetworkResource,
                                       WTypes.BSTR strUser,
                                       WTypes.BSTR strPassword,
                                       WTypes.BSTR strLocale,
                                       int lSecurityFlags,
                                       WTypes.BSTR strAuthority,
                                       Wbemcli.IWbemContext pCtx,
                                       PointerByReference ppNamespace)

#### ConnectServer

    public Wbemcli.IWbemServices ConnectServer(java.lang.String strNetworkResource,
                                               java.lang.String strUser,
                                               java.lang.String strPassword,
                                               java.lang.String strLocale,
                                               int lSecurityFlags,
                                               java.lang.String strAuthority,
                                               Wbemcli.IWbemContext pCtx)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.